import request from '@/utils/request'

// 新增白名单人员查询接口
export function selectUserListByName(name) {
  return request({
    url: '/system/user/selectUserListByNotWhite?nickName='+name,
    method: 'get'
  })
}
//编辑 获取白名单用户的信息
export function whitelistEdit(name) {
  return request({
    url: '/laboratory/whitelist/'+name,
    method: 'get'
  })
}
//编辑 获取白名单实验室信息
export function whitelistSubListEdit(name) {
  return request({
    url: '/laboratory/whitelist/subList/'+name,
    method: 'get'
  })
}
//新增准入实验室获取实验室列表
export function getAllSubjectByParame(query) {
  return request({
    url: '/laboratory/subject/getAllSubjectByParame',
    method: 'get',
    params: query
  })
}
//新增白名单
export function whitelistAddList(data) {
  return request({
    url: '/laboratory/whitelist/addList',
    method: 'post',
    data:data
  })
}
//编辑白名单
export function whitelistEditList(data) {
  return request({
    url: '/laboratory/whitelist/editWhiteBySubJoin',
    method: 'put',
    data:data
  })
}

//获取白名单列表
export function whitelistList(query) {
  return request({
    url: '/laboratory/whitelist/list',
    method: 'get',
    params: query
  })
}

//删除白名单
export function whitelistDel(id) {
  return request({
    url: '/laboratory/whitelist/'+id,
    method: 'post'
  })
}
